Name:           perl-MooseX-Types
Version:        0.50
Release:    3%{?dist}
License:        GPL-1.0-or-later OR Artistic-1.0-Perl
Summary:        Organize your Moose types in libraries
URL:            https://metacpan.org/release/MooseX-Types
Source0:        https://cpan.metacpan.org/modules/by-module/MooseX/MooseX-Types-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  coreutils
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(Module::Build::Tiny) >= 0.034
BuildRequires:  sed
BuildRequires:  perl(base)
BuildRequires:  perl(Carp)
BuildRequires:  perl(Carp::Clan) >= 6.00
BuildRequires:  perl(Exporter)
BuildRequires:  perl(Module::Runtime)
BuildRequires:  perl(Moose) >= 1.06
BuildRequires:  perl(Moose::Exporter)
BuildRequires:  perl(Moose::Meta::TypeConstraint::Union)
BuildRequires:  perl(Moose::Util::TypeConstraints)
BuildRequires:  perl(namespace::autoclean) >= 0.16
BuildRequires:  perl(overload)
BuildRequires:  perl(Scalar::Util) >= 1.19
BuildRequires:  perl(strict)
BuildRequires:  perl(Sub::Exporter)
BuildRequires:  perl(Sub::Exporter::ForMethods) >= 0.100052
BuildRequires:  perl(Sub::Install)
BuildRequires:  perl(Sub::Name)
BuildRequires:  perl(warnings)
BuildRequires:  perl(CPAN::Meta) >= 2.120900
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(if)
BuildRequires:  perl(lib)
BuildRequires:  perl(Module::Metadata)
BuildRequires:  perl(Moose::Role)
BuildRequires:  perl(Test::Fatal)
BuildRequires:  perl(Test::More) >= 0.88
BuildRequires:  perl(Test::Requires)
BuildRequires:  perl(Test::Moose)

%description
The types provided with the Moose man page are by design global. This
package helps you to organize and selectively import your own and the
built-in types in libraries. As a nice side effect, it catches typos at
compile-time too.

However, the main reason for this module is to provide an easy way to not
have conflicts with your type names, since the internal fully qualified
names of the types will be prefixed with the library's name.

This module will also provide you with some helper functions to make it
easier to use Moose types in your code.

%prep
%setup -q -n MooseX-Types-%{version}

sed -i '1s,^#!.*perl,#!%{__perl},' t/*.t

%build
perl Build.PL --installdirs=vendor
./Build

%install
./Build install --destdir=%{buildroot} --create_packlist=0
%{_fixperms} -c %{buildroot}

%check
./Build test

%files
%license LICENCE
%doc Changes CONTRIBUTING README t/
%{perl_vendorlib}/MooseX/
%{_mandir}/man3/MooseX::Types.3*
%{_mandir}/man3/MooseX::Types::Base.3*
%{_mandir}/man3/MooseX::Types::CheckedUtilExports.3*
%{_mandir}/man3/MooseX::Types::Combine.3*
%{_mandir}/man3/MooseX::Types::Moose.3*
%{_mandir}/man3/MooseX::Types::TypeDecorator.3*
%{_mandir}/man3/MooseX::Types::UndefinedType.3*
%{_mandir}/man3/MooseX::Types::Util.3*
%{_mandir}/man3/MooseX::Types::Wrapper.3*

%changelog
* Tue Jul 02 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.50-3
- rebuild

* Mon Jul 01 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.50-2
- rebuild

* Thu Jun 20 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.50-1
- initial build
